package MoveNClick;

import java.awt.Component;

/**
 *
 * @author dlm
 */
public abstract class Event
{
    // *** ATTRIBUTI ***
    protected int x,y;
    private Component focus;
    
    // *** METODI ***
    public int getX()
    {
        return this.x;
    }

    public int getY()
    {
        return this.y;
    }

    /**
     * Aggiunge il componente su cui ha effetto l'evento
     * @param c Il componente da attribuire all'evento
     */
    public void setSource(Component c)
    {
        focus = c;
    }

    /**
     * Ottiene il componente su cui è avvenuto l'evento
     * @return Il componente su cui ha effetto l'evento
     */
    public Component getSource()
    {
        return focus;
    }
}