package MoveNClick;

/**
 * Evento di tipo Move
 * @author dlm
 */
public class MoveEvent extends Event
{
    // *** ATTRIBUTI ***
    private int deltaX, deltaY;

    // *** METODI ***
    public MoveEvent(int xPrec, int yPrec, int x, int y)
    {
        // Setto gli attributi
        this.x = xPrec;
        this.y = yPrec;
        this.deltaX = x - xPrec;
        this.deltaY = y - yPrec;
    }
    
    public int getDeltaX()
    {
        return this.deltaX;
    }

    public int getDeltaY()
    {
        return this.deltaY;
    }
}
